itpp::Name Class Reference
Base Module » IT++ File Format

Automatic naming when saving. More...

`#include <itpp/base/itfile.h>`

## Public Member Functions

| Name (const std::string &n, const std::string &d="")
| Constructor.
Name & | operator= (const Name &)
| Dummy assignment operator - MSVC++ warning C4512.

## Public Attributes

const std::string & | name
| The name string.
const std::string & | desc
| The description.

## Detailed Description

Automatic naming when saving.

An easy way to give a variable a name and optionally description when saving. Usage:

vec v1("1 2 3"), v2;
it_file f("file.it");
f << Name("v", "A vector of consecutive double values") << v1;
f >> Name("v") >> v2;

Definition at line 428 of file itfile.h.

The documentation for this class was generated from the following file:

- itpp/base/itfile.h

itpp::Name::Name
Name(const std::string &n, const std::string &d="")
Constructor.
Definition: itfile.h:432

Generated on Mon Mar 23 2020 06:18:03 for IT++ by Doxygen 1.8.17